import { Request, Response } from 'express';
// import prisma from '../prisma/client';
import prisma from "../prisma/client"


export const getAllQNSet = async (req: Request, res: Response) => {

    try {
        const Qnset = await prisma.qnModelSet.findMany();
        res.json(Qnset)
    }
    catch (error) {
        console.error('Error fetching QNModelSet :', error);
        res.status(500).json({ error: 'Failed to fetch QNmodelSet' });

    }
}